# List simulations (/docs/api-reference/simulation/listSimulations)

> Retrieve simulations with pagination.



**GET** `/simulations`

Retrieve simulations with pagination.

```yaml
operationId: listSimulations
parameters:
  - name: pageno
    in: query
    schema:
      type: integer
      default: 1
  - name: pagesize
    in: query
    schema:
      type: integer
      default: 10
      maximum: 150
responses:
  '200':
    description: Paginated list of simulations.
    content:
      application/json:
        schema:
          type: object
          properties:
            records:
              type: array
              items:
                type: object
                description: A test simulation for an agent.
                properties:
                  id:
                    type: integer
                    example: 772
                  name:
                    type: string
                  bot_id:
                    type: object
                    description: The agent under test.
                    properties:
                      id:
                        type: integer
                      name:
                        type: string
                  status:
                    type: string
                    enum:
                      - Draft
                      - Pending
                      - In Progress
                      - Calculating Summary
                      - Completed
                      - Stopped
                  number_of_call_to_make:
                    type: integer
                  concurrent_call_count:
                    type: integer
                  max_call_duration_in_minutes:
                    type: integer
                  scenarios_ids:
                    type: array
                    description: Scenario records attached to this simulation.
                    items:
                      type: object
                      additionalProperties: true
                  what_went_wrong:
                    oneOf:
                      - type: string
                      - type: boolean
                  suggestions_for_improvement:
                    oneOf:
                      - type: string
                      - type: boolean
                  prompt_suggestion:
                    oneOf:
                      - type: string
                      - type: boolean
                  is_auto_prompt_suggestions_applied:
                    type: boolean
                  how_many_scenario_to_generate:
                    type: integer
                  summary:
                    oneOf:
                      - type: string
                      - type: boolean
                  analyticsData:
                    type: object
                    properties:
                      Positive:
                        type: integer
                      Negative:
                        type: integer
                      Neutral:
                        type: integer
                  total_simulation_remaining_records:
                    type: integer
                  total_simulation_in_progress_records:
                    type: integer
                  total_simulation_finished_records:
                    type: integer
                  total_records:
                    type: integer
                  progress:
                    type: array
                    minItems: 1
                    maxItems: 1
                    items:
                      type: integer
                    description: >-
                      Single-element array containing the progress percentage (0-100). Quirky shape
                      preserved for backwards compatibility.
                    example:
                      - 0
                  simulation_call_recording:
                    type: array
                    items:
                      type: object
                      additionalProperties: true
                  can_stop:
                    type: boolean
                  active_calls_count:
                    type: integer
                  create_date:
                    type: string
                    example: 05/06/2026 13:31:54
            total_records:
              type: integer
        example:
          records: []
          total_records: 0
```

**Python SDK**

```python
from omnidimension import Client
client = Client(api_key)

# List all simulations with pagination
response = client.simulation.list(pageno=1, pagesize=10)
print(response)
```

**curl**

```bash
curl -X GET "https://backend.omnidim.io/api/v1/simulations" \
  -H "Authorization: Bearer $OMNIDIM_API_KEY"
```
